Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.validation
[Java] Interface CascadingValidator

    public interface CascadingValidator
    extends org.springframework.validation.Validator

Extends the default Spring Validator interface and provides an additional method that specifies whether validation should cascade into associations.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary
`void` | `validate(java.lang.Object obj, org.springframework.validation.Errors errors, boolean cascade)` An extended version of the validate(errors,obj) method that takes an additional argument specifying whether the Validator should cascade into associations or not.

Methods inherited from interface org.springframework.validation.Validator
org.springframework.validation.Validator#validate(java.lang.Object, org.springframework.validation.Errors), org.springframework.validation.Validator#supports(java.lang.Class)

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### validate

    public void validate(java.lang.Object obj, org.springframework.validation.Errors errors, boolean cascade)

  An extended version of the validate(errors,obj) method that takes an additional argument specifying whether the Validator should cascade into associations or not.
  Parameters:
    `obj` - The Object to validate
    `errors` - The Spring Errors instance
    `cascade` - True if validation should cascade into associations
  See Also:
    org.springframework.validation.Errors
    org.springframework.validation.Validator
    org.springframework.validation.Validator#validate(Object, org.springframework.validation.Errors)

Groovy Documentation